- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### pan()
Examples |
    import processing.sound.*;
    AudioIn in;

    void setup() {
      size(640, 360);
      background(255);

      // Create the Input stream
      in = new AudioIn(this, 0);
      in.play();
      in.amp(0.5);
    }

    void draw() {
      // Map mouseX from -1.0 to 1.0 for left to right
      in.pan(map(mouseX, 0, width, -1.0, 1.0));
    }
Description | Pan the input stream in a stereo panorama. -1.0 pans to the left channel and 1.0 to the right channel.
Syntax |
    in.pan(pos)

Updated on June 20, 2015 10:37:41pm UTC